# Staking Support

## Staking Integration

Matrica can integrate your current staking platform so that holders do not lose their roles when they stake. To get started with staking, contact your Matrica representative and provide them with

1. A staking transaction, i.e:\
   <https://solscan.io/tx/3q5CsnAEDuuD1WTZ7hZvEvrj65xvVJpimny8bGLPqpRoHtbDnzbP4MrhBa7Vz5goCcWQupZvDQEoNcBKWD4HK7Y2>
2. An unstaking transaction, i.e:\
   <https://solscan.io/tx/628esCcayUzGWv9UWko39Ya2ykWeth4kDtWnuF4KEaFZawBP9BEjEsDQFGAGVrXjU9Pw3M7H4ijiwLrpHkwZ5vGK>

If both transactions interact with the same contract, we can add the information to our parser and it will detect staking and unstaking transactions for your collection.

If your staking does not have a contract, i.e it is a vault, you will need to provide us with an API where we can read a list of stakers and their NFTs. Ideally the format should be:

```
[
   wallet_id1: [nft_id1, nft_id2, nft_id3...],
   wallet_id2: [nft_id1, nft_id2, nft_id3...],
   wallet_id3: [nft_id1, nft_id2, nft_id3...],
   ...
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.matrica.io/guides/community-guide/staking-support.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
